Index: src/FunctionApproximation/Extractors.cpp
===================================================================
--- src/FunctionApproximation/Extractors.cpp	(revision e47ac71b3e565b9051aaee9368699525a439737e)
+++ src/FunctionApproximation/Extractors.cpp	(revision c7aac9f7c2a3277e76e6143c01a85a5b18caa1cb)
@@ -59,5 +59,5 @@
 Extractors::gatherAllSymmetricDistanceArguments(
     const Fragment::positions_t& positions,
-    const Fragment::charges_t& charges,
+    const Fragment::atomicnumbers_t& atomicnumbers,
     const size_t globalid)
 {
@@ -76,6 +76,6 @@
       arg.distance = firsttemp.distance(secondtemp);
       arg.types = std::make_pair(
-          charges[ std::distance(positions.begin(), firstpositer) ],
-          charges[ std::distance(positions.begin(), secondpositer) ]
+          (int)atomicnumbers[ std::distance(positions.begin(), firstpositer) ],
+          (int)atomicnumbers[ std::distance(positions.begin(), secondpositer) ]
           );
       arg.indices = std::make_pair(
Index: src/FunctionApproximation/Extractors.hpp
===================================================================
--- src/FunctionApproximation/Extractors.hpp	(revision e47ac71b3e565b9051aaee9368699525a439737e)
+++ src/FunctionApproximation/Extractors.hpp	(revision c7aac9f7c2a3277e76e6143c01a85a5b18caa1cb)
@@ -69,5 +69,5 @@
    *
    * \param positions all nuclei positions
-   * \param charges all nuclei charges
+   * \param atomicNumber all nuclei atomic numbers
    * \param globalid index to associated in argument_t with
    * \return vector of argument_ , each with a distance
@@ -76,5 +76,5 @@
   gatherAllSymmetricDistanceArguments(
       const Fragment::positions_t& positions,
-      const Fragment::charges_t& charges,
+      const Fragment::atomicnumbers_t& atomicnumbers,
       const size_t globalid);
 
@@ -83,5 +83,5 @@
    *
    * \param positions all nuclei positions
-   * \param charges all nuclei charges
+   * \param atomicNumber all nuclei atomic numbers
    * \param index index refers to the index within the global set of configurations
    * \return vector of of argument_t containing all found distances
@@ -89,9 +89,9 @@
   inline FunctionModel::arguments_t gatherAllSymmetricDistances(
       const Fragment::positions_t& positions,
-      const Fragment::charges_t& charges,
+      const Fragment::atomicnumbers_t& atomicnumbers,
       const size_t index
       ) {
     // get distance out of Fragment
-    return gatherAllSymmetricDistanceArguments(positions, charges, index);
+    return gatherAllSymmetricDistanceArguments(positions, atomicnumbers, index);
   }
 
Index: src/FunctionApproximation/TrainingData.cpp
===================================================================
--- src/FunctionApproximation/TrainingData.cpp	(revision e47ac71b3e565b9051aaee9368699525a439737e)
+++ src/FunctionApproximation/TrainingData.cpp	(revision c7aac9f7c2a3277e76e6143c01a85a5b18caa1cb)
@@ -58,8 +58,7 @@
   for (HomologyContainer::const_iterator iter = range.first; iter != range.second; ++iter) {
     const Fragment &fragment = iter->second.fragment;
-    // create internal list of arguments
     FunctionModel::arguments_t all_args = Extractors::gatherAllSymmetricDistances(
         fragment.getPositions(),
-        fragment.getCharges(),
+        fragment.getAtomicNumbers(),
         DistanceVector.size()
         );
Index: src/FunctionApproximation/unittests/ExtractorsUnitTest.cpp
===================================================================
--- src/FunctionApproximation/unittests/ExtractorsUnitTest.cpp	(revision e47ac71b3e565b9051aaee9368699525a439737e)
+++ src/FunctionApproximation/unittests/ExtractorsUnitTest.cpp	(revision c7aac9f7c2a3277e76e6143c01a85a5b18caa1cb)
@@ -85,10 +85,10 @@
 
   // create charges
-  Fragment::charges_t charges;
-  charges += 6., 6., 1., 1., 1.;
+  Fragment::atomicnumbers_t atomicnumbers;
+  atomicnumbers += 6, 6, 1, 1, 1;
 
   // create distances
   FunctionModel::arguments_t args =
-      Extractors::gatherAllSymmetricDistances(positions, charges, 0);
+      Extractors::gatherAllSymmetricDistances(positions, atomicnumbers, 0);
   CPPUNIT_ASSERT_EQUAL( (size_t)(5*4/2), args.size() );
 
